import { ResourceListConfig } from "../edit-resource/config/resource-list-config";
import { WithIndexer } from "../../../fd-toolbox-core/types/with-indexer";
/** @monorepo-internal */
export declare function getMultilistResourceListConfig(resourceName: string): ResourceListConfig;
/** To do: add docs */
export declare function setCustomResourceListConfigs(customResourceListConfigs: WithIndexer<ResourceListConfig>): void;
/** @internal */
export declare function getDefaultResourceListConfig(resourceName: string): ResourceListConfig;
